Find Departments humanresources.node.search

If you are developing integrations for Bitrix24 using AI tools (Codex, Claude Code, Cursor), connect to the MCP server so that the assistant can utilize the official REST documentation.

Scope: humanresources

Who can execute the method: a user with the "View Departments" or "View Teams" access permission.

The method humanresources.node.search searches for departments or teams by name.

Method Parameters

Required parameters are marked with *

Name
type

Description

type*
string

Type of the structure element.

Possible values:

  • DEPARTMENT — department
  • TEAM — team

name*
string

Search string for part of the department or team name

parentId
integer

Identifier of the parent department to limit the search.

The identifier can be obtained using the humanresources.node.list method

pagination
object

Pagination parameter.

The method uses limit — the number of records per page. Default is 50, maximum is 200

Code Examples

How to Use Examples in Documentation

The new API call differs by adding the /api/ parameter in the request:

https://{installation_address}/rest/api/{user_id}/{webhook_token}/humanresources.node.search

curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"type":"DEPARTMENT","name":"Sales","parentId":1,"pagination":{"limit":20}}' \
        https://**put_your_bitrix24_address**/rest/api/**put_your_user_id_here**/**put_your_webhook_here**/humanresources.node.search
        
curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"type":"DEPARTMENT","name":"Sales","parentId":1,"pagination":{"limit":20},"auth":"**put_access_token_here**"}' \
        https://**put_your_bitrix24_address**/rest/api/humanresources.node.search
        

The SDK does not yet support the /rest/api/ address in calls. Use direct HTTP requests, for example, via curl or fetch.

try
        {
            const response = await $b24.callMethod(
                'humanresources.node.search',
                {
                    type: 'DEPARTMENT',
                    name: 'Sales',
                    parentId: 1,
                    pagination: {
                        limit: 20
                    }
                }
            );
        
            const result = response.getData().result;
            console.info('Found departments', result.length);
        }
        catch (error)
        {
            console.error(error);
        }
        

The SDK does not yet support the /rest/api/ address in calls. Use direct HTTP requests, for example, via curl or fetch.

try {
            $response = $b24Service
                ->core
                ->call(
                    'humanresources.node.search',
                    [
                        'type' => 'DEPARTMENT',
                        'name' => 'Sales',
                        'parentId' => 1,
                        'pagination' => [
                            'limit' => 20,
                        ],
                    ]
                );
        
            $result = $response
                ->getResponseData()
                ->getResult();
        
            echo 'Success: ' . print_r($result, true);
        
        } catch (Throwable $e) {
            error_log($e->getMessage());
            echo 'Error searching departments: ' . $e->getMessage();
        }
        

The SDK does not yet support the /rest/api/ address in calls. Use direct HTTP requests, for example, via curl or fetch.

BX24.callMethod(
            'humanresources.node.search',
            {
                type: 'DEPARTMENT',
                name: 'Sales',
                parentId: 1,
                pagination: {
                    limit: 20
                }
            },
            function(result){
                console.info(result.data());
                console.log(result);
            }
        );
        

The SDK does not yet support the /rest/api/ address in calls. Use direct HTTP requests, for example, via curl or fetch.

require_once('crest.php');
        
        $result = CRest::call(
            'humanresources.node.search',
            [
                'type' => 'DEPARTMENT',
                'name' => 'Sales',
                'parentId' => 1,
                'pagination' => [
                    'limit' => 20
                ]
            ]
        );
        
        echo '<PRE>';
        print_r($result);
        echo '</PRE>';
        

Response Handling

HTTP Status: 200

{
            "result": {
                "items": [
                    {
                        "id": 12,
                        "name": "B2B Sales",
                        "type": "DEPARTMENT",
                        "structureId": 1,
                        "parentId": 1,
                        "description": "Working with corporate clients",
                        "accessCode": "DR12",
                        "userCount": 9,
                        "colorName": null,
                        "xmlId": null,
                        "createdAt": "2026-05-20T10:15:00+02:00",
                        "updatedAt": "2026-06-01T16:30:00+02:00"
                    }
                ]
            },
            "time": {
                "start": 1780399800,
                "finish": 1780399800.314519,
                "duration": 0.31451892852783203,
                "processing": 0.2811400890350342,
                "date_start": "2026-06-02T14:30:00+02:00",
                "date_finish": "2026-06-02T14:30:00+02:00",
                "operating_reset_at": 1780400400,
                "operating": 0
            }
        }
        

Returned Data

Name
type

Description

result
object

Object containing response data

items
array

Array of found departments and teams

items[]
object

Object of the found department or team

id
integer

Identifier of the department

name
string

Name of the department

type
string

Type of the structure element

structureId
integer

Identifier of the company structure

parentId
integer

Identifier of the parent department

description
string

Description of the department

accessCode
string

Access code of the department

userCount
integer

Number of users in the department

colorName
string

Team color, if specified

xmlId
string

External identifier of the department

createdAt
datetime

Date and time of department creation

updatedAt
datetime

Date and time of the last update of the department

time
time

Information about the request execution time

Error Handling

HTTP Status: 400

{
            "error": {
                "code": "BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION",
                "message": "Error validating the request object",
                "validation": [
                    {
                        "message": "Required field `name` is not specified",
                        "field": "name"
                    }
                ]
            }
        }
        

Name
type

Description

error.code
string

String error code. Use it to identify the type of exception

error.message
string

Text description of the error

error.validation
array

Array with error details. Present only in data validation errors BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION

error.validation[].field
string

Name of the field where the validation error occurred

error.validation[].message
string

Description of the error related to the specified field

Possible Error Codes

Request Validation Errors

Error Code: BITRIX_REST_V3_EXCEPTION_VALIDATION_REQUESTVALIDATIONEXCEPTION

Field

Error Description

How to Fix

type
name

Required field #FIELD# is not specified

Add the specified field to the request body

#FIELD#

Field #FIELD# requires data type #TYPE# for this request

Ensure the value passed is of the correct type

type

An invalid department type value was provided

Use DEPARTMENT for department or TEAM for team

Access Errors

Error Code: BITRIX_REST_V3_EXCEPTION_ACCESSDENIEDEXCEPTION

Field

Error Description

How to Fix

-

Access denied

The user does not have permission to view departments and teams

Error Code: BITRIX_REST_V3_EXCEPTION_INSUFFICIENTSCOPEEXCEPTION

Field

Error Description

How to Fix

-

Insufficient access rights: required scope is missing

Check the humanresources scope

Statuses and System Error Codes

HTTP Status: 20x, 40x, 50x

The errors described below may occur when calling any method.

Status

Code
Error Message

Description

500

INTERNAL_SERVER_ERROR
Internal server error

An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support

500

ERROR_UNEXPECTED_ANSWER
Server returned an unexpected response

An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support

503

QUERY_LIMIT_EXCEEDED
Too many requests

The request intensity limit has been exceeded

405

ERROR_BATCH_METHOD_NOT_ALLOWED
Method is not allowed for batch usage

The current method is not permitted for calls using batch

400

ERROR_BATCH_LENGTH_EXCEEDED
Max batch length exceeded

The maximum length of parameters passed to the batch method has been exceeded

401

NO_AUTH_FOUND
Wrong authorization data

Invalid access token or webhook code

400

INVALID_REQUEST
Https required

The HTTPS protocol is required for method calls

503

OVERLOAD_LIMIT
REST API is blocked due to overload

The REST API is blocked due to overload. This is a manual individual block; please contact Bitrix24 technical support to lift it

403

ACCESS_DENIED
REST API is available only on commercial plans

The REST API is only available on commercial plans

403

INVALID_CREDENTIALS
Invalid request credentials

The user associated with the access token or webhook used to call the method lacks the necessary permissions

404

ERROR_MANIFEST_IS_NOT_AVAILABLE
Manifest is not available

The manifest is not available

403

insufficient_scope
The request requires higher privileges than provided by the webhook token

The request requires higher privileges than those provided by the webhook token

401

expired_token
The access token provided has expired

The provided access token has expired

403

user_access_error
The user does not have access to the application

The user does not have access to the application. This means that the application is installed, but the portal administrator has restricted access to this application to specific users only

500

PORTAL_DELETED
Portal was deleted

The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the "Temporary closure of the public part of the site" option. Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site

Continue Learning